Bug 150449 - buffer overflow
buffer overflow
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: rhpl (Show other bugs)
rawhide
x86_64 Linux
medium Severity medium
: ---
: ---
Assigned To: Anaconda Maintenance Team
:
: 150633 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-03-06 20:16 EST by John Ellson
Modified: 2007-11-30 17:11 EST (History)
2 users (show)

See Also:
Fixed In Version: rhpl-0.155-1
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-03-09 09:46:41 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
error messages (43.20 KB, text/plain)
2005-03-06 20:20 EST, John Ellson
no flags Details
debug info collected by bugbuddy (4.85 KB, text/plain)
2005-03-07 11:00 EST, John Ellson
no flags Details

  None (edit)
Description John Ellson 2005-03-06 20:16:00 EST
Description of problem:
dies immediately with buffer overflow dump (attached next)

Version-Release number of selected component (if applicable):
system-config-network-1.3.23-1
python-2.4-4

How reproducible:
100%

Steps to Reproduce:
1.system-config-network
2.
3.
  
Actual results:
(attached next)

Expected results:
no crash

Additional info:
Comment 1 John Ellson 2005-03-06 20:20:33 EST
Created attachment 111725 [details]
error messages

I had to cut&paste to get these.  Why are these error messages not output
to stdout or stderr?
Comment 2 Harald Hoyer 2005-03-07 05:58:22 EST
Which version of rhpl ?
# rpm -qf /usr/lib64/python2.4/site-packages/rhpl/ethtool.so
Comment 3 John Ellson 2005-03-07 07:02:30 EST
rhpl-0.153-2
Comment 4 Harald Hoyer 2005-03-07 07:31:48 EST
Could you please install
ftp://people.redhat.com/harald/rhpl-debuginfo-0.153-2.x86_64.rpm
Then: 

Allow core dumps
# ulimit -Sc unlimited
# gdb /usr/bin/pyton core.[0-9]+
gdb> backtrace

and show me the backtrace, please?
Comment 5 John Ellson 2005-03-07 08:52:53 EST
I installed rhpl-debuginfo, did "ulimit -Sc unlimiteed", reran
system-config-network but no core* file was produced.

I was able to run gdb on the app with:
 gdb -se /usr/bin/consolehelper system-config-network
but glib seems to catch the error to post the bug popup.
If I respond to the popup gdb sees only a normal exit.

Can you suggest a breakpoint?
Comment 6 John Ellson 2005-03-07 08:55:47 EST
Sorry about typo.  

I did set ulimit correctly:

ellson@ontap:~> ulimit
unlimited
Comment 7 Harald Hoyer 2005-03-07 10:43:28 EST
now that rhpl-debuginfo is installed, maybe the popup displays more
debugging information?
Comment 8 John Ellson 2005-03-07 11:00:47 EST
Created attachment 111745 [details]
debug info collected by bugbuddy
Comment 9 Harald Hoyer 2005-03-07 11:15:46 EST
ah :)

#6  0x00002aaaab140e1f in __chk_fail () from /lib64/tls/libc.so.6
#7  0x00002aaaae3438d7 in get_hwaddress (self=) at ethtool.c:118
Comment 10 Harald Hoyer 2005-03-07 11:18:31 EST
there is some information missing at the end...

Isn't there a "Save to File" Button?
Comment 11 John Ellson 2005-03-07 11:20:23 EST
Thats what I used, but there was something else to the console as
bug-buddy started:

** (bug-buddy:5674): WARNING **: Couldn't load icon for Text Editor
"/usr/sbin/system-config-network": not in executable format: File
format not recognized
Variable "self" is not available.
Variable "self" is not available.
Variable "fd" is not available.
Comment 12 Harald Hoyer 2005-03-09 06:15:10 EST
*** Bug 150633 has been marked as a duplicate of this bug. ***
Comment 13 Harald Hoyer 2005-03-09 09:47:39 EST
fixed in rhpl-0.155-1

Note You need to log in before you can comment on or make changes to this bug.